$responsive-threshold: 900px;

:host {
  display: flex;
  flex-direction: column;
  margin: 0 !important;
  padding: 0 !important;
  height: 100%;
}

:host > header {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  flex-wrap: wrap;
  align-items: center;
  background-color: var(--primary-color);
  color: var(--primary-text-color-inverted);
  padding: .5em;
  min-height: 3em;
  @media(max-width: $responsive-threshold) {
    min-height: none;
    height: inherit;
  }
  & > * {
    // margin-left: .5em;
    // margin-right: .5em;
    margin: .5em;
  }
  h1 {
    margin-left: .5rem;
  }
  p {
    font-size: 1.2em;
    padding: 5px;
    border-radius: 5px;
    border: #{"1px solid rgba(var(--primary-text-color-inverted-rgb), var(--disabled-text-opacity))"};
    &[severity="1"] {
      border-color: var(--paper-orange-500);
      border-width: 2px;
    }
    &[severity="2"] {
      border-color: var(--error-color);
      border-width: 2px;
    }
  }
  a.anchor{
    position: relative;
    top: 5px;
  }
  a:link, a:visited {
    text-decoration: none;
  }
  paper-button.green {
    font-weight: normal;
    background-color: var(--paper-green-500);
    color: white;
    --paper-button-raised-keyboard-focus: {
      font-weight: normal;
    };
    --paper-button-flat-keyboard-focus: {
      font-weight: normal;
    };
  }
}

section[apps] {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  overflow: scroll;
  height: 100%;
  subsystem-app {
    flex-grow: 1;
    border-right: #{"1px solid rgba(var(--primary-text-color-rgb), var(--divider-opacity))"};
    overflow: visible;
    max-width: 50%;
  }
}

section[process-control] {
  position: relative;
  bottom: 0;
  background-color: var(--primary-color);
  color: var(--primary-text-color-inverted);
  padding: .5em;
  h1 {
    margin-left: .5rem;
  }
  & > div {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
  }
}

section[empty] {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex: 1;
}

h1 {
  font-size: 2em;
}

[hide] {
  display: none;
}
